TipoMovimiento

com.uva.rafael.tfg_goniometer.data.enums

## Enum TipoMovimiento

- java.lang.Object
- - java.lang.Enum<TipoMovimiento>
  - - com.uva.rafael.tfg_goniometer.data.enums.TipoMovimiento

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TipoMovimiento>

      public enum TipoMovimiento
      extends java.lang.Enum<TipoMovimiento>

  Esta clase es una clase de tipo `Enum` que modela los posibles movimientos que puede realizar una articulacion.

  Se encarga de proveer un metodo para insertar un "Tipo de Movimiento" en la Base de Datos, pasando cada uno de los atributos que componen esta clase a un formato adecuado, por medio de un objeto de tipo `ContentValues`.

  Como dato a señalar, los posibles valores de esta clase estan restringidos en funcion de la articulacion que se haya seleccionado en la clase enumerada ARTICULACION, de acuerdo con los movimientos que puede realizar cada articulacion; ademas, si se ha seleccionado el valor OTRO, lo que se introduzca en el `EditText` se almacenara en `otroTipoMovimiento`.

  Por ultimo, destacar que esta clase se encarga de proveer estos valores tanto en español como en ingles.

  Esta clase forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque
  See Also:
    `Contract.MeasurementEntry`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABDUCCION`
    `ADUCCION`
    `EXTENSION`
    `FLEXION`
    `FLEXION_LATERAL`
    `OTRO`
    `PRONACION`
    `ROTACION`
    `ROTACION_EXTERNA`
    `ROTACION_INTERNA`
    `SUPINACION`
    `VALGO`
    `VARO`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TipoMovimiento` | `findByValue(java.lang.String value)` Metodo que se encarga de devolver el `Enum` asociado con el valor de tipo `String` recibido como parametro.
    `TipoMovimiento` | `getOtroTipoMovimiento(java.lang.String otroTipoMovimiento)` "Constructor" de la clase, que se emplea cuando el usuario ha seleccionado el valor "OTRO" en el Movimiento.
    `void` | `toContentValues(android.content.ContentValues values)` Metodo que se encarga de dar un formato adecuado a cada uno de los atributos de la clase, para, posteriormente, ser insertados en la Base de Datos.
    `java.lang.String` | `toString()` Metodo `toString()` que se encarga de devolver el String con el valor seleccionado por el usuario, al introducir una nueva medicion.
    `static TipoMovimiento` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TipoMovimiento[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FLEXION

          public static final TipoMovimiento FLEXION

    - #### EXTENSION

          public static final TipoMovimiento EXTENSION

    - #### ADUCCION

          public static final TipoMovimiento ADUCCION

    - #### ABDUCCION

          public static final TipoMovimiento ABDUCCION

    - #### VARO

          public static final TipoMovimiento VARO

    - #### VALGO

          public static final TipoMovimiento VALGO

    - #### ROTACION_INTERNA

          public static final TipoMovimiento ROTACION_INTERNA

    - #### ROTACION_EXTERNA

          public static final TipoMovimiento ROTACION_EXTERNA

    - #### PRONACION

          public static final TipoMovimiento PRONACION

    - #### SUPINACION

          public static final TipoMovimiento SUPINACION

    - #### FLEXION_LATERAL

          public static final TipoMovimiento FLEXION_LATERAL

    - #### ROTACION

          public static final TipoMovimiento ROTACION

    - #### OTRO

          public static final TipoMovimiento OTRO

  - ### Method Detail

    - #### values

          public static TipoMovimiento[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TipoMovimiento c : TipoMovimiento.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TipoMovimiento valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### findByValue

          public static TipoMovimiento findByValue(java.lang.String value)

      Metodo que se encarga de devolver el `Enum` asociado con el valor de tipo `String` recibido como parametro. En caso de que no encuentre ningun `Enum` que se corresponda con este valor, lanza una excepcion de tipo `IllegalArgumentException`, emulando el comportamiento del metodo `valueOf`.
      Parameters:
        `value` - Valor a comparar con los valores de los distintos `Enum` de la clase
      Returns:
        `Enum` asociado a ese valor

    - #### getOtroTipoMovimiento

          public TipoMovimiento getOtroTipoMovimiento(java.lang.String otroTipoMovimiento)

      "Constructor" de la clase, que se emplea cuando el usuario ha seleccionado el valor "OTRO" en el Movimiento.
      Parameters:
        `otroTipoMovimiento` - Nombre del movimiento introducido por el usuario en el `EditText`
      Returns:
        Instancia de `TipoMovimiento` con el valor "OTRO" en `tipoMovimiento` y el valor recibido como parametro en `otroTipoMovimiento`.

    - #### toContentValues

          public void toContentValues(android.content.ContentValues values)

      Metodo que se encarga de dar un formato adecuado a cada uno de los atributos de la clase, para, posteriormente, ser insertados en la Base de Datos.
      Parameters:
        `values` - `ContentValues`, recibido desde `Medicion`, al que añadir la informacion del `TipoMovimiento`

    - #### toString

          public java.lang.String toString()

      Metodo `toString()` que se encarga de devolver el String con el valor seleccionado por el usuario, al introducir una nueva medicion.
      Overrides:
        `toString` in class `java.lang.Enum<TipoMovimiento>`